### Virtual Method

# Foundry Vcs diff

#### Declaration [src]

    DexFuture*
    diff (
      FoundryVcs* self,
      FoundryVcsTree* tree_a,
      FoundryVcsTree* tree_b
    )

#### Description [src]

Diffs two `FoundryVcsTree` resulting in a `FoundryVcsDiff`.

#### Parameters

`tree_a`

  Type: `FoundryVcsTree`

  The old tree.

  The data is owned by the caller of the method.

`tree_b`

  Type: `FoundryVcsTree`

  The new tree.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryVcsDiff` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.